package com.cloudsurfers.plugins.examplecapacitor;

import com.getcapacitor.JSArray;
import com.getcapacitor.JSObject;
import com.getcapacitor.Plugin;
import com.getcapacitor.PluginCall;
import com.getcapacitor.PluginMethod;
import com.getcapacitor.annotation.CapacitorPlugin;

@CapacitorPlugin(name = "Example")
public class ExamplePlugin extends Plugin {

    private Example implementation = new Example();

    @PluginMethod
    public void echo(PluginCall call) {
        String value = call.getString("value");

        JSObject ret = new JSObject();
        ret.put("value", implementation.echo(value));
        call.resolve(ret);
    }

    @PluginMethod
    public void getCarInfo(PluginCall call) {
        String manufacturer = call.getString("manufacturer");

        JSObject ret = new JSObject();
        JSArray arr = new JSArray();

        if(manufacturer.equals("FIAT")){
            arr.put(new JSObject()
                .put("name", "PUNTO")
                .put("engine", "1.0 BENZINA"));
            arr.put(new JSObject()
                .put("name", "PUNTO")
                .put("engine", "1.3 DIESEL"));
            arr.put(new JSObject()
                .put("name", "TIPO")
                .put("engine", "1.3 DIESEL"));
            arr.put(new JSObject()
                .put("name", "CROMA")
                .put("engine", "2.0 DIESEL"));
        } else if (manufacturer.equals("SEAT")){
            arr.put(new JSObject()
                .put("name", "IBIZA")
                .put("engine", "1.0 BENZINA"));
            arr.put(new JSObject()
                .put("name", "LEON")
                .put("engine", "2.0 DIESEL"));
        }

        ret.put("models", arr);
        call.resolve(ret);
    }
}
